# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(HTML/Prototype/Useful.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Catalyst-Plugin-Prototype
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    1.330.0
Release:    alt3_10

Summary:    Plugin for Prototype
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst/Runtime.pm)
BuildRequires: perl(HTML/Prototype.pm)
BuildRequires: perl(Class/Data/Inheritable.pm)
BuildRequires: perl(inc/Module/Install.pm)
BuildArch: noarch
Source44: import.info


%description
Helper to generate Prototype library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ._Changes Changes README META.yml
%perl_vendor_privlib/*


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.330.0-alt3_10
- update by mgaimport

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 1.330.0-alt3_9
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 1.330.0-alt3_8
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 1.330.0-alt3_7
- update by mgaimport

* Fri Dec 19 2014 Igor Vlasenko <viy@altlinux.ru> 1.330.0-alt3_6
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.330.0-alt3_5
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 1.330.0-alt3_4
- rebuild to get rid of unmets

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.330.0-alt2_4
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 1.330.0-alt2_3
- rebuild to get rid of unmets

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.330.0-alt1_3
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.330.0-alt1_2
- converted for ALT Linux by srpmconvert tools

